Index: channels/chan_sip.c
===================================================================
--- channels/chan_sip.c	(revision 369470)
+++ channels/chan_sip.c	(working copy)
@@ -21705,6 +21705,13 @@
 	if (!p->refer)
 		return;
 
+	if (p->owner)
+	{
+		char respcode[100];
+		sprintf(respcode,"%d",resp);
+		pbx_builtin_setvar_helper(p->owner, "TRANSFERCODE", respcode);
+	}
+
 	switch (resp) {
 	case 202:   /* Transfer accepted */
 		/* We need  to do something here */
@@ -23055,6 +23062,9 @@
 			}
 			break;
 		}
+		if (p->owner) {
+			pbx_builtin_setvar_helper(p->owner, "TRANSFERCODE", code);
+		}
 		if (success == FALSE) {
 			ast_log(LOG_NOTICE, "Transfer failed. Sorry. Nothing further to do with this call\n");
 		}
Index: apps/app_transfer.c
===================================================================
--- apps/app_transfer.c	(revision 369470)
+++ apps/app_transfer.c	(working copy)
@@ -72,6 +72,8 @@
 					</value>
 				</variable>
 			</variablelist>
+			<para>In case of transfer status code available, it will be reported
+			in the <variable>TRANSFERCODE</variable> channel variable.</para>
 		</description>
 	</application>
  ***/
